Page MenuHomePhabricator

[AMDGPU] Allow buildSpillLoadStore in empty bb
ClosedPublic

Authored by sebastian-ne on Apr 27 2021, 5:02 AM.

Details

Summary

This allows calling buildSpillLoadStore for an empty basic block, where
MI points at the end of the block instead of to an instruction.

This only happens with downstream CFI changes, so I was not able to
create a testcase that works with upstream LLVM.

Diff Detail

Event Timeline

sebastian-ne created this revision.Apr 27 2021, 5:02 AM
sebastian-ne requested review of this revision.Apr 27 2021, 5:02 AM
Herald added a project: Restricted Project. · View Herald TranscriptApr 27 2021, 5:02 AM
arsenm accepted this revision.Apr 28 2021, 6:08 AM
This revision is now accepted and ready to land.Apr 28 2021, 6:08 AM
This revision was landed with ongoing or failed builds.Apr 29 2021, 3:54 AM
This revision was automatically updated to reflect the committed changes.